Bug 126629 - rhnpush very slow
rhnpush very slow
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2004-06-23 18:46 EDT by Richard Keech
Modified: 2013-07-03 09:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 16:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2004-06-23 18:46:22 EDT
Description of problem:

running rhnpush for 300MB package took in the order of an hour.

Version-Release number of selected component (if applicable):

RHN Satellite 3.2 (from build 12 ISO).

How reproducible:

Seen on two different systems.

Actual results:

With rpm package file initially located locally on the Satellite,
running rhnpush successfully uploads the package but it takes
much longer than expected.  The first time this delay was seen
to take over an hour.  The second time, while not measured, was
consistent with the first (different systems, different places).

Expected results:

Additional info:

Satellite host has an embedded Oracle configuration.  
It is a dual CPU system and has 2GB RAM.
Comment 1 Mihai Ibanescu 2004-06-23 18:50:04 EDT
How big is the RPM?
Was the upload happening over SSL? (i.e. did the URL say https://)?
Comment 2 Richard Keech 2004-06-23 19:21:51 EDT
Package in question is 231MB.
The rhnpush command indicates that upload is to http://<hostname>/APP.
On one occasion when the upload was occuring at the same time as
a satellite-sync the system hung and was showing iterations of the
following message on the console:

"count_ramdisk_pages: pagemap_lru_lock locked".

When that occured the system had only 1GB RAM.  Subsequently the 
system was upgraded to 2GB and the rhnpush succeeded, but the time
was still excessive. 

Kernel version 2.4.9-e.41smp.

rhnpush of small packages (<2MB) is very quick (< 4 seconds)
on the same system.
Comment 3 Richard Keech 2004-06-23 20:23:58 EDT
another data point.  rhnpush of a 13MB package took ~24 seconds
(all other variables being unchanged).
Comment 4 Mihai Ibanescu 2004-06-24 10:25:26 EDT
We have this specific problem (big rpms taking a lot of time to
upload) addressed in satellite 3.4

The change cannot be backported easily to 3.2. Will keep the bug open
and will see how we can upgrade the customer or something.
Comment 5 Dean Samuels 2004-06-25 00:29:16 EDT
I encountered this issue after applying all updates (kernel included) 
to stock RHEL2.1U3 version.  rhnpush of 220MB package taken over 30 
mins. Whereas, with just the standard RHEL2.1U3 packages with no 
updates applied rhnpush of the same package (220MB) took just under 2 
Comment 6 Dean Samuels 2004-06-25 00:49:15 EDT
May be kernel related, downgraded to kernel 2.4.9-e.34enterprise 
(standard RHEL2.1U3 kernel) and rhnpush now takes 1min 40secs to 
import 220MB package.
Comment 7 Mihai Ibanescu 2005-09-30 16:03:08 EDT
For lack of a better answer, closing. 

Note You need to log in before you can comment on or make changes to this bug.